Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::KEM_Encryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::KEM_Encryption:

## Public Member Functions
virtual void | kem_encrypt (secure_vector< uint8_t > &out_encapsulated_key, secure_vector< uint8_t > &out_shared_key, size_t desired_shared_key_len, Botan::RandomNumberGenerator &rng, const uint8_t salt[], size_t salt_len)=0
virtual | ~KEM_Encryption ()=default

## Detailed Description

KEM (key encapsulation)

Definition at line 121 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::KEM_Encryption::~KEM_Encryption | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void Botan::PK_Ops::KEM_Encryption::kem_encrypt | ( | secure_vector< uint8_t > & | out_encapsulated_key,
|  | secure_vector< uint8_t > & | out_shared_key,
|  | size_t | desired_shared_key_len,
|  | Botan::RandomNumberGenerator & | rng,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::KEM_Encryption_with_KDF.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h